## GstGLOverlayCompositor GstGLOverlayCompositor — Composite multiple overlays using OpenGL |

## Functions

GstGLOverlayCompositor * | gst_gl_overlay_compositor_new ()
GstCaps * | gst_gl_overlay_compositor_add_caps ()
void | gst_gl_overlay_compositor_draw_overlays ()
void | gst_gl_overlay_compositor_upload_overlays ()
void | gst_gl_overlay_compositor_free_overlays ()

## Properties

gboolean | yinvert | Read / Write

## Types and Values

| GstGLOverlayCompositor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstGLOverlayCompositor

## Includes

    #include <gst/gl/gl.h>

## Description

## Functions

### gst_gl_overlay_compositor_new ()

    GstGLOverlayCompositor *
    gst_gl_overlay_compositor_new (GstGLContext *context);

### gst_gl_overlay_compositor_add_caps ()

    GstCaps *
    gst_gl_overlay_compositor_add_caps (GstCaps *caps);

### gst_gl_overlay_compositor_draw_overlays ()

    void
    gst_gl_overlay_compositor_draw_overlays
                                   (GstGLOverlayCompositor *compositor);

### gst_gl_overlay_compositor_upload_overlays ()

    void
    gst_gl_overlay_compositor_upload_overlays
                                   (GstGLOverlayCompositor *compositor,
                                    GstBuffer *buf);

### gst_gl_overlay_compositor_free_overlays ()

    void
    gst_gl_overlay_compositor_free_overlays
                                   (GstGLOverlayCompositor *compositor);

## Types and Values

### GstGLOverlayCompositor

    typedef struct _GstGLOverlayCompositor GstGLOverlayCompositor;

Opaque GstGLOverlayCompositor object

## Property Details

### The `“yinvert”` property

      “yinvert”                  gboolean

Whether to invert the output across a horizintal axis.

Flags: Read / Write

Default value: FALSE

## See Also

GstGLMemory, GstGLContext